@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: cozy
Author URI: https://cozycon.net
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*固定トップページの不要箇所をまとめて非表示*/
.home.page .entry-title,
.home.page .date-tags,
.home.page .author-info{
  display: none;
}

.navi ul li a:hover{ /*グローバルナビリンク部分のマウスオーバー時 */
	background-color: #FFFACD; /* 背景色薄オレンジ  */
	border-left:3px solid #FF9900; /* 左枠色オレンジ */
	border-right:3px solid #FF9900; /* 右枠色オレンジ */
	border-bottom:3px solid #FF9900; /* 下線色オレンジ */
	border-radius: 1px; /*角を丸く*/
}


/*グローバルナビサブメニューの背景色 */
.sub-menu {
  background-color: #000000;!important; /*背景色*/
}

/*グローバルナビカレントページ(現在位置)*/
.menu-header .current-menu-item,
.menu-header .current-post-item,
.menu-header .current-menu-ancestor,
.menu-header .current-post-ancestor,
.menu-header .menu-item:hover {
border-top: 3px solid #ff9900; /*上線色*/
}

.menu-header .current-menu-item .item-label,
.menu-header .current-post-item .item-label,
.menu-header .current-menu-ancestor .item-label,
.menu-header .current-post-ancestor .item-label,
.menu-header .menu-item .item-label:hover {
	font-weight: bold; /*太字*/
}

/* マウスオーバー時の装飾 */
a:hover {
	font-weight: bold; /*太字*/
	text-decoration: underline; /*アンダーライン*/
}

/* ヘッダーロゴ画像とグローバルナビ間空白削除(画像センタリングも) */
.logo-image {
	padding: 0;
}
.logo-image * {
	display: block;
	margin: auto;
}

/* 投稿のカテゴリーページタイトルのフォルダマークを消す */
.archive-title :before {
display: none;
}

/* 見出しの背景色を消去 */
.article h2{
   padding: 0;
   background: none;
}
.article h3{
   border: none;
   padding: 0;
}


/* h1見出しのフォントサイズを2倍に */
.article h1{
	font-size: 2em;
}

/* h1見出しのフォントを変更 */
h1 {
font-family: 'Noto Serif JP', serif;
}

/* h1見出しを中央揃えに */
h1 {
text-align: center;
}

/* h2見出しのフォントサイズを1.5倍に */
.article h2{
	font-size: 1.5em;
}

/* h2見出しを中央揃えで両側にグラデーション横棒飾りを入れる_ここから */
h2 {
  display: flex;
  align-items: center;/* 縦位置の調整 */
  justify-content: center;/* 横位置の調整 */
}

h2::before,
h2::after {
  content: '';
  flex-grow: 0.2;/* 少数にする */
  height: 7px;
}

/* 線にグラデーションをかける */
h2::before {
  margin-right: 20px;
  background: linear-gradient(-90deg, #ff9900 , white);
}

h2::after {
  margin-left: 20px;
  background: linear-gradient(90deg, #ff9900 , white);
}
/*ここまで */

/* h3見出しのフォントサイズを1.5倍に */
.article h3{
	font-size: 1.5em;
}

/* h3見出しを左揃えに */
h3 {
text-align: left;
}

/* h3見出しを左揃えで両側にグラデーション横棒飾りを入れる_ここから */
h3 {
  display: flex;
  align-items: center;/* 縦位置の調整 */
  justify-content: left;/* 横位置の調整 */
}

h3::before,
h3::after {
  content: '';
  flex-grow: 0.2;/* 少数にする */
  height: 3px;
}

/* 線にグラデーションをかける */
h3::before {
  margin-right: 20px;
  background: linear-gradient(-90deg, #ff9900 , white);
}

h3::after {
  margin-left: 20px;
  background: linear-gradient(90deg, #ff9900 , white);
}
/*ここまで */

/* 上部余白をプラス */
.header {
padding: 30px 0 10px 0;
}

/*フッターを画像にする*/
#footer {
	background-image: url( http://taino-hassei.com/wp-content/uploads/2023/04/footer-02.jpg );
	background-size: cover;
}

/* トップページの新着記事を横3列表示 */
.new-entry-cards.large-thumb {
display: flex;
flex-wrap: wrap;
}

.new-entry-cards.large-thumb a {
width: 33.333%;
}

/768px以下/
@media screen and (max-width: 768px){
.new-entry-cards.large-thumb a {
width: 50%;
}
}

/480px以下/
@media screen and (max-width: 480px){
.new-entry-cards.large-thumb a {
width: 100%;
}
}

/* サイドバー背景色 */
.sidebar {
  background-color: #ffefd5;
}

/*固定ページの日付非表示*/
.page .date-tags,
.page .author-info {
display: none;
}


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
